using qdr.app.bundleboiler.ui.Dialogs;
using Quadarax.Foundation.Core.Business.Injection;

namespace bundleboiler.ui
{
    public partial class MainForm : Form
    {
        public MainForm()
        {
            InitializeComponent();
            InitializeInternal();
        }


        private void InitializeInternal()
        {
            try
            {
                DiManager.RegisterAssemblyFromThisAppdomain();


            }
            catch (Exception e)
            {
                new ErrorMessageDialog("Cannot initialize application", e).ShowDialog();
            }
        }
    }
}
